# Uses of Class
java.security.cert.CertificateFactorySpi

Packages that use CertificateFactorySpi
Package
Description
java.security.cert
Provides classes and interfaces for parsing and managing certificates, certificate revocation lists (CRLs), and certification paths.

## Uses of CertificateFactorySpi in java.security.cert

Constructors in java.security.cert with parameters of type CertificateFactorySpi
Modifier
Constructor
Description
`protected`
`CertificateFactory​(CertificateFactorySpi certFacSpi, Provider provider, String type)`
Creates a CertificateFactory object of the given type, and encapsulates the given provider implementation (SPI object) in it.